Summary: 	Utilities for managing filesystem extended attributes.
Name: 		attr
Version: 	2.4.28
Release: 	1
Group: 		Libraries
URL: 		http://oss.sgi.com/projects/xfs/
Source0: 	ftp://oss.sgi.com/projects/xfs/cmd_tars/attr-%{version}.src.tar.gz
Patch0:		%{name}.diff
License: 	GPL
BuildRoot: 	%{_tmppath}/%{name}-root
Provides:	libattr

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package	devel
Summary: 	Extended attribute static libraries and headers.
Group: 		Development
License: 	LGPL
Provides: 	libattr-devel

%description	devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3 and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel,
you'll also want to install attr.

%prep
%setup -q
%patch0 -p0
autoconf

%build
# attr abuses libexecdir
%configure --libexecdir=%{_libdir} --disable-nls
make LIBTOOL="libtool --tag=CC"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-dev DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

# fix links to shared libs and permissions
rm $RPM_BUILD_ROOT/%{_libdir}/libattr.so
ln -sf libattr.so.1.1.0 $RPM_BUILD_ROOT/%{_libdir}/libattr.so
chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/{libattr.la,libattr.so*}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}
%{_mandir}/man1

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
